com.sun.mail.imap.protocol

## Class BASE64MailboxDecoder

- java.lang.Object
- - com.sun.mail.imap.protocol.BASE64MailboxDecoder

-     public class BASE64MailboxDecoder
      extends Object

  See the BASE64MailboxEncoder for a description of the RFC2060 and how mailbox names should be encoded. This class will do the correct decoding for mailbox names.
  Author:
    Christopher Cotton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BASE64MailboxDecoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `base64decode(char[] buffer, int offset, CharacterIterator iter)`
    `static String` | `decode(String original)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BASE64MailboxDecoder

          public BASE64MailboxDecoder()

  - ### Method Detail

    - #### decode

          public static String decode(String original)

    - #### base64decode

          protected static int base64decode(char[] buffer,
                         int offset,
                         CharacterIterator iter)

Copyright © 2016 Oracle. All rights reserved.